Re-enable browser_ext_browserAction_popup_resize.js on Mac OSX
In order for the new panel animation to land I needed to temporarily disable this test, because it started to perma-fail, without a very clear cause.

I filing this as a follow-up, because I need a little bit more time to figure stuff out here, since none of the changes in bug  really stand out to be the cause.
